Kepler - Bug #5140

Ecogrid Authentication Error at Kepler trunk on windows 7.
08/11/2010 02:12 PM - jianwu jianwu

Status: Resolved Start date: 08/11/2010
Priority: Normal Due date:

Assignee: ben leinfelder % Done: 0%
Category: build system Estimated time: 0.00 hour
Target version: Unspecified Spent time: 0.00 hour
Bugzilla-ld: 5140

Description

From 'Tools->Ecogrid Authentication' menu item, | chose 'DEV' domain and tried a fake username and password. The connection
time out exception is as followed. One suspicious point is it shows that '{http://xml.apache.org/axis/}hostname:jianwu-PC"'.

When | tried it on released Kepler 2.0 on Windows or Kepler trunk on Mac, | got authentication error message which seems correct
since my account is fake. It took about three minutes to get the error message though. I'll also put the error message blow for
reference.

[run] creating gui

[run] OK - disposing

[run] Idap authenticating...

[run] creating gui

[run] disposing

[run] DONE disposing

[run] d: DEV username: a password: org: KU

[run] EcogridUtils: The time to create instance is ===========0

[run] Authenticating with user: uid=a,0=KU,dc=ecoinformatics,dc=org and password: **

[run] AxisFault

[run] faultCode: {hitp://schemas.xmlsoap.org/soap/envelope/}Server.userException

[run] faultSubcode:

[run] faultString: java.net.ConnectException: Connection timed out: connect

[run] faultActor:

[run] faultNode:

[run] faultDetail:

[run]  {http://xml.apache.org/axis/}stackTrace:java.net.ConnectException: Connection timed out: connect
[run] atjava.net.PlainSocketimpl.socketConnect(Native Method)

[run] atjava.net.PlainSocketimpl.doConnect(PlainSocketimpl.java:333)

[run] atjava.net.PlainSocketlmpl.connectToAddress(PlainSocketimpl.java:195)

[run] atjava.net.PlainSocketimpl.connect(PlainSocketimpl.java:182)

[run] atjava.net.SocksSocketimpl.connect(SocksSocketimpl.java:366)

[run] atjava.net.Socket.connect(Socket.java:529)

[run]  at sun.reflect.NativeMethodAccessorimpl.invokeO(Native Method)

[run] at sun.reflect.NativeMethodAccessorlmpl.invoke(NativeMethodAccessorimpl.java:39)

[run] at sun.reflect.DelegatingMethodAccessorimpl.invoke(DelegatingMethodAccessorimpl.java:25)
[run] atjava.lang.reflect.Method.invoke(Method.java:597)

[run] at org.apache.axis.components.net.DefaultSocketFactory.create(DefaultSocketFactory.java:153)
[run] at org.apache.axis.components.net.DefaultSocketFactory.create(DefaultSocketFactory.java:125)
[run] at org.apache.axis.transport.http.HTTPSender.getSocket(HTTPSender.java:191)

[run] at org.apache.axis.transport.http.HTTPSender.writeToSocket(HTTPSender.java:404)

[run] at org.apache.axis.transport.http.HTTPSender.invoke(HTTPSender.java:138)

[run] at org.apache.axis.strategies.InvocationStrategy.visit(InvocationStrategy.java:32)

[run]  at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:118)

[run] at org.apache.axis.SimpleChain.invoke(SimpleChain.java:83)

[run] at org.apache.axis.client.AxisClient.invoke(AxisClient.java:165)

[run] at org.apache.axis.client.Call.invokeEngine(Call.java:2784)

[run] at org.apache.axis.client.Call.invoke(Call.java:2767)

[run] at org.apache.axis.client.Call.invoke(Call.java:2443)

[run] at org.apache.axis.client.Call.invoke(Call.java:2366)

[run] at org.apache.axis.client.Call.invoke(Call.java:1812)

[run] at org.ecoinformatics.ecogrid.auth.stub.AuthenticationServiceStub.login(Unknown Source)
[run] at org.ecoinformatics.ecogrid.client.AuthenticationServiceClient.login_action(Unknown Source)
[run] at org.kepler.authentication.LDAPAuthenticationService.authenticate(LDAPAuthenticationService.java:129)
[run] at org.kepler.authentication.LDAPAuthenticationService.authenticate(LDAPAuthenticationService.java:157)
[run] atorg.kepler.authentication.LDAPAuthenticationService.authenticate(LDAPAuthenticationService.java:88)
[run] at org.kepler.authentication.AuthenticationManager.getProxy(AuthenticationManager.java:152)

[run]  at org.kepler.gui.AuthenticateAction.login(AuthenticateAction.java:228)

[run]  at org.kepler.gui.AuthenticateAction.access$300(AuthenticateAction.java:60)

[run]  at org.kepler.gui.AuthenticateAction$AuthSwingWorker.construct(AuthenticateAction.java:266)

[run]  at util.SwingWorker$2.run(SwingWorker.java:158)

[run] atjava.lang.Thread.run(Thread.java:619)

[run]

[run]  {http://xml.apache.org/axis/}hostname:jianwu-PC

[run]

[run] java.net.ConnectException: Connection timed out: connect

[run] at org.apache.axis.AxisFault.makeFault(AxisFault.java:101)

[run] at org.apache.axis.transport.http.HTTPSender.invoke(HTTPSender.java:154)

[run] at org.apache.axis.strategies.InvocationStrategy.visit(InvocationStrategy.java:32)

[run]  at org.apache.axis.SimpleChain.doVisiting(SimpleChain.java:118)

[run] at org.apache.axis.SimpleChain.invoke(SimpleChain.java:83)

[run] at org.apache.axis.client.AxisClient.invoke(AxisClient.java:165)

[run] at org.apache.axis.client.Call.invokeEngine(Call.java:2784)

[run] at org.apache.axis.client.Call.invoke(Call.java:2767)

[run] at org.apache.axis.client.Call.invoke(Call.java:2443)

[run] at org.apache.axis.client.Call.invoke(Call.java:2366)

[run] at org.apache.axis.client.Call.invoke(Call.java:1812)

[run] at org.ecoinformatics.ecogrid.auth.stub.AuthenticationServiceStub.login(Unknown Source)

[run] at org.ecoinformatics.ecogrid.client.AuthenticationServiceClient.login_action(Unknown Source)

[run] atorg.kepler.authentication.LDAPAuthenticationService.authenticate(LDAPAuthenticationService.java:129)
[run]  at org.kepler.authentication.LDAPAuthenticationService.authenticate(LDAPAuthenticationService.java:157)
[run] at org.kepler.authentication.LDAPAuthenticationService.authenticate(LDAPAuthenticationService.java:88)
[run] at org.kepler.authentication.AuthenticationManager.getProxy(AuthenticationManager.java:152)

[run]  at org.kepler.gui.AuthenticateAction.login(AuthenticateAction.java:228)

[run]  at org.kepler.gui.AuthenticateAction.access$300(AuthenticateAction.java:60)

[run]  at org.kepler.gui.AuthenticateAction$AuthSwingWorker.construct(AuthenticateAction.java:266)

[run]  at util.SwingWorker$2.run(SwingWorker.java:158)

[run] atjava.lang.Thread.run(Thread.java:619)

[run] Caused by: java.net.ConnectException: Connection timed out: connect

[run] atjava.net.PlainSocketimpl.socketConnect(Native Method)

[run] atjava.net.PlainSocketimpl.doConnect(PlainSocketimpl.java:333)

[run] atjava.net.PlainSocketlmpl.connectToAddress(PlainSocketimpl.java:195)

[run] atjava.net.PlainSocketimpl.connect(PlainSocketimpl.java:182)

[run] atjava.net.SocksSocketimpl.connect(SocksSocketimpl.java:366)

[run] atjava.net.Socket.connect(Socket.java:529)

[run]  at sun.reflect.NativeMethodAccessorimpl.invokeO(Native Method)

[run] at sun.reflect.NativeMethodAccessorlmpl.invoke(NativeMethodAccessorimpl.java:39)

[run] at sun.reflect.DelegatingMethodAccessorimpl.invoke(DelegatingMethodAccessorimpl.java:25)

[run] atjava.lang.reflect.Method.invoke(Method.java:597)

[run] at org.apache.axis.components.net.DefaultSocketFactory.create(DefaultSocketFactory.java:153)

[run] at org.apache.axis.components.net.DefaultSocketFactory.create(DefaultSocketFactory.java:125)

[run] at org.apache.axis.transport.http.HTTPSender.getSocket(HTTPSender.java:191)

[run] at org.apache.axis.transport.http.HTTPSender.writeToSocket(HTTPSender.java:404)

[run] at org.apache.axis.transport.http.HTTPSender.invoke(HTTPSender.java:138)

[run] ... 20 more

[run] org.kepler.authentication.AuthenticationException: Error authenticating: ; nested exception is:

[run] java.net.ConnectException: Connection timed out: connect

[run] at org.kepler.authentication.LDAPAuthenticationService.authenticate(LDAPAuthenticationService.java:136)
[run] at org.kepler.authentication.LDAPAuthenticationService.authenticate(LDAPAuthenticationService.java:157)
[run] at org.kepler.authentication.LDAPAuthenticationService.authenticate(LDAPAuthenticationService.java:88)
[run] at org.kepler.authentication.AuthenticationManager.getProxy(AuthenticationManager.java:152)

[run] at org.kepler.gui.AuthenticateAction.login(AuthenticateAction.java:228)

[run]  at org.kepler.gui.AuthenticateAction.access$300(AuthenticateAction.java:60)

[run]  at org.kepler.gui.AuthenticateAction$AuthSwingWorker.construct(AuthenticateAction.java:266)

[run]  at util.SwingWorker$2.run(SwingWorker.java:158)

[run] atjava.lang.Thread.run(Thread.java:619)

[run] MC 14:08:39,200: [ERROR]: The authentication exception is [org.kepler.gui.AuthenticateAction]

[run] org.kepler.authentication.AuthenticationException: Error authenticating: Error authenticating: ; nested exception is:
[run] java.net.ConnectException: Connection timed out: connect

[run] at org.kepler.authentication.LDAPAuthenticationService.authenticate(LDAPAuthenticationService.java:93)
[run] at org.kepler.authentication.AuthenticationManager.getProxy(AuthenticationManager.java:152)

[run] at org.kepler.gui.AuthenticateAction.login(AuthenticateAction.java:228)

[run]  at org.kepler.gui.AuthenticateAction.access$300(AuthenticateAction.java:60)

[run]  at org.kepler.gui.AuthenticateAction$AuthSwingWorker.construct(AuthenticateAction.java:266)

[run]  at util.SwingWorker$2.run(SwingWorker.java:158)

[run] atjava.lang.Thread.run(Thread.java:619)

[run] org.kepler.authentication.AuthenticationException: Error authenticating: Error authenticating: ; nested exception is:
[run] java.net.ConnectException: Connection timed out: connect

[run] at org.kepler.authentication.LDAPAuthenticationService.authenticate(LDAPAuthenticationService.java:93)
[run] at org.kepler.authentication.AuthenticationManager.getProxy(AuthenticationManager.java:152)

[run] at org.kepler.gui.AuthenticateAction.login(AuthenticateAction.java:228)

[run]  at org.kepler.gui.AuthenticateAction.access$300(AuthenticateAction.java:60)

[run]  at org.kepler.gui.AuthenticateAction$AuthSwingWorker.construct(AuthenticateAction.java:266)

[run]  at util.SwingWorker$2.run(SwingWorker.java:158)

[run] atjava.lang.Thread.run(Thread.java:619)

[null] creating gui

[null] OK - disposing

[null] Idap authenticating...

[null] creating gui

[null] disposing

[null] DONE disposing

[null] d: DEV username: a password: org: KU

[null] auth with dn: uid=a,0=KU,dc=ecoinformatics,dc=org

[null] authenticating with url: http:/dev.nceas.ucsb.edu/knb/services/AuthenticationService

[null] Authenticating with user: uid=a,0=KU,dc=ecoinformatics,dc=org and password: **

[null] using AuthenticationServiceClient to authenticate...

[null] EcogridUtils: The time to create instance is ===========0

[null] Time authenticating: 197 seconds.

[null] org.kepler.authentication.AuthenticationException: Error authenticating: java.rmi.RemoteException: <?xml version="1.0"?>
[null] <unauth_login>

[nulll] <message>Authentication failed for user: uid=a,0=KU,dc=ecoinformatics,dc=org</message>

[null] </unauth_login>

[null]

[null]  at org.kepler.authentication.LDAPAuthenticationService.authenticate(LDAPAuthenticationService.java:149)
[nulll]  at org.kepler.authentication.LDAPAuthenticationService.authenticate(LDAPAuthenticationService.java:171)
[null]  at org.kepler.authentication.LDAPAuthenticationService.authenticate(LDAPAuthenticationService.java:90)
[nulll]  at org.kepler.authentication.AuthenticationManager.getProxy(AuthenticationManager.java:152)

[nulll]  at org.kepler.gui.AuthenticateAction.login(AuthenticateAction.java:228)

[null]  at org.kepler.gui.AuthenticateAction.access$300(AuthenticateAction.java:60)

[null]  at org.kepler.gui.AuthenticateAction$AuthSwingWorker.construct(AuthenticateAction.java:266)

[null]  at util.SwingWorker$2.run(SwingWorker.java:158)

[nulll  atjava.lang.Thread.run(Thread.java:619)

[null] ERROR (org.kepler.gui.AuthenticateAction:login:238) The authentication exception is

[null] org.kepler.authentication.AuthenticationException: Error authenticating: Error authenticating: java.rmi.RemoteException: <?xml
version="1.0"7>

[null] <unauth_login>

[null] org.kepler.authentication.AuthenticationException: Error authenticating: Error authenticating: java.rmi.RemoteException: <?xml
version="1.0"?>

[nulll] <message>Authentication failed for user: uid=a,0=KU,dc=ecoinformatics,dc=org</message>

[null] <unauth_login>

[null] </unauth_login>

[null] <message>Authentication failed for user: uid=a,0=KU,dc=ecoinformatics,dc=org</message>

[null]

[null]  at org.kepler.authentication.LDAPAuthenticationService.authenticate(LDAPAuthenticationService.java:95)
[nulll]  at org.kepler.authentication.AuthenticationManager.getProxy(AuthenticationManager.java:152)

[nulll]  at org.kepler.gui.AuthenticateAction.login(AuthenticateAction.java:228)

[null]  at org.kepler.gui.AuthenticateAction.access$300(AuthenticateAction.java:60)

[null] </unauth_login>

[null]  at org.kepler.gui.AuthenticateAction$AuthSwingWorker.construct(AuthenticateAction.java:266)

[null]

[null]  at util.SwingWorker$2.run(SwingWorker.java:158)

[null]  at org.kepler.authentication.LDAPAuthenticationService.authenticate(LDAPAuthenticationService.java:95)
[nulll]  atjava.lang.Thread.run(Thread.java:619)

[nulll  at org.kepler.authentication.AuthenticationManager.getProxy(AuthenticationManager.java:152)
http://dev.nceas.ucsb.edu/knb/services/AuthenticationService

[null]
[null]
[null]
[null]
[null]

at org.kepler.gui.AuthenticateAction.login(AuthenticateAction.java:228)

at org.kepler.gui.AuthenticateAction.access$300(AuthenticateAction.java:60)

at org.kepler.gui.AuthenticateAction$AuthSwingWorker.construct(AuthenticateAction.java:266)
at util. SwingWorker$2.run(SwingWorker.java:158)

at java.lang.Thread.run(Thread.java:619)

[null] creating gui
[null] user cancelled action - disposing
[null] creating gui
[null] user cancelled action - disposing

Related issues:
Blocked by Kepler - Bug #4801: out of memory In Progress  02/17/2010

History

#1 - 08/11/2010 05:24 PM - ben leinfelder

Can you authenticate with valid credentials?

Otherwise, I'm confused why this is a bug - you entered a fake username/password and were not able to authenticate. Do you just want a better error
message? It is a known (and annoying) bug that using an invalid username will take a VERY long time to come back from authentication - but that's
on Metacat, not Kepler.

I've seen that axis message before, but | do believe it's going to the correct server (dev).

#2 - 08/11/2010 05:59 PM - jianwu jianwu

| tested with 'kepler' account, the exception is exact the same.

If a user uses a fake account, the error pop up dialog should say it is authentication error, but not 'connection time out', right? So | think it is still a bug
even with fake account.

#3 - 08/12/2010 12:11 PM - jianwu jianwu

| can not reproduce the error after a fresh checkout. It's weird that the exception was still there even | did 'ant update clean-all run' at the old checkout.
I don't think | changed some related configurations or source codes there.

Anyway, | closed the bug. Sorry for bringing the chaos.

#4 - 03/27/2013 02:29 PM - Redmine Admin

Original Bugzilla ID was 5140
